#!/bin/sh
-automake Makefile
-aclocal
-autoheader
-autoconf
+die(){
+ echo "$@"
+ exit
+}
+
+automake Makefile || die "The command 'automake Makefile' failed"
+aclocal || die "The command 'aclocal' failed"
+autoheader || die "The command 'autoheader' failed"
+autoconf || die "The command 'autoconf' failed"
echo "$@" ; exit
}
-aclocal -I . || die "ahhhhh"
-autoheader || die "ahhhhh"
-automake || die "ahhhhh"
-autoconf || die "ahhhhh"
+aclocal -I . || die "The command 'aclocal -I .' failed"
+autoheader || die "The command 'autoheader' failed"
+automake || die "The command 'automake' failed"
+autoconf || die "The command 'autoconf' failed"